Subject: Re: my email address in From: is incorrect
From: Jason Tishler <[email-masked]>
To: Cygwin <[email-masked]>
Date: Thu, 7 Dec 2000 09:24:36 -0500

Charles,

On Wed, Dec 06, 2000 at 03:34:59PM -0500, Charles Krug wrote:
> I don't know what you're using for an mta, but I had a similar
> problem where ssmtp under Cygwin would keep saying my name was
> "[email-masked]" instead of my isp account name.  I wasn't able
> successfully to repair it using .muttrc, but I WAS able to fix it by
> creating a revailases file for ssmtp, creating an alias like this:

I had the same problem when I switched from Netscape to Mutt/sSMTP.
This problem broke my procmail Bcc recipe that filed my outgoing emails
into an IMAP copy folder.

After much head banging at about 2 AM one morning, I fixed this problem
by recompiling ssmtp.c after changing:

    int FromLineOverride = NO;

to:

    int FromLineOverride = YES;

Subsequently, I found that sstmp.conf should be able to set this option
at runtime by including the following line:

    FromLineOverride=YES

Note however that I have never actually verified this fact.

If the generate_config shell script included the above commented
out like it is found in the sample sstmp.conf, it would have saved me
much grief.  Sigh...

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]